import { baseServer, dict, transaction } from '@/api'
import request from '@/utils/require'

// ;/transaction/trademark / selectContract / { id }
// 合同 - 新增查看
export function selectContract(id) {
	return request({
		url: `${transaction}/trademark/selectContract/${id}`,
		method: 'post',
	})
}
// ;/transaction/aadekmrrt / selectContractPage
// 获取合同列表
export function selectContractPage(data) {
	return request({
		url: `${transaction}/trademark/selectContractPage?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
		method: 'post',
		data,
	})
}
// ;/transaction/aadekmrrt / selectContractDetail / { id }
// 合同 - 查看
export function selectContractDetail(id) {
	return request({
		url: `${transaction}/trademark/selectContractDetail/${id}`,
		method: 'post',
	})
}

// ;/transaction/trademark / selectTradeMarkAll
// 获取标的下拉列表
export function selectTradeMarkAll() {
	return request({
		url: `${transaction}/trademark/selectTradeMarkAll`,
		method: 'post',
	})
}

// /transaction/trademark/updateContract
// 合同-修改
export function updateContract(data) {
	return request({
		url: `${transaction}/trademark/updateContract`,
		method: 'post',
		data,
	})
}

// /transaction/trademark/insertContract
// 合同-修改
export function insertContract(data) {
	return request({
		url: `${transaction}/trademark/insertContract`,
		method: 'post',
		data,
	})
}

// 获取报名的企业的列表
export function selectTransactionSignUpAll(){
	return request ({
		url:`${transaction}/transactionsignup/selectTransactionSignUpAll`,
		method:'post',
		data:{pageType:6}
	})
}
//根据场次查询报名的企业
export function listSignUpByCcbm(data){
	return request ({
		url:`${transaction}/transactionsignup/listSignUpByCcbm`,
		method:'post',
		data
	})
}